Package org.opensaml.soap.client

# Class SOAPClientContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.soap.client.SOAPClientContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class SOAPClientContext extends BaseContext
Message context for SOAP client messages.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`destinationURI`
The destination URI for the SOAP message being sent.
`private String`
`pipelineName`
Name of the specific SOAP client pipeline to use, for example with `PipelineFactoryHttpSOAPClient`.
`private SOAPClient.SOAPRequestParameters`
`requestParameters`
Binding/transport-specific SOAP request parameters.

## Constructor Summary

Constructors
Constructor
Description
`SOAPClientContext()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDestinationURI()`
Get the the destination URI for the SOAP message being sent.
`String`
`getPipelineName()`
Get the name of the specific SOAP client message pipeline to use, for example with `PipelineFactoryHttpSOAPClient`.
`SOAPClient.SOAPRequestParameters`
`getSOAPRequestParameters()`
Gets a set of binding/transport-specific request parameters.
`SOAPClientContext`
`setDestinationURI(String uri)`
Set the destination URI for the SOAP message being sent.
`SOAPClientContext`
`setPipelineName(String name)`
Set the name of the specific SOAP client message pipeline to use, for example with `PipelineFactoryHttpSOAPClient`.
`SOAPClientContext`
`setSOAPRequestParameters(SOAPClient.SOAPRequestParameters parameters)`
Sets a set of binding/transport-specific request parameters.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### requestParameters

@Nullable private SOAPClient.SOAPRequestParameters requestParameters
Binding/transport-specific SOAP request parameters.

### pipelineName

@Nullable private String pipelineName
Name of the specific SOAP client pipeline to use, for example with `PipelineFactoryHttpSOAPClient`.

### destinationURI

@Nullable private String destinationURI
The destination URI for the SOAP message being sent.

## Constructor Details

### SOAPClientContext

public SOAPClientContext()

## Method Details

### getSOAPRequestParameters

@Nullable public SOAPClient.SOAPRequestParameters getSOAPRequestParameters()
Gets a set of binding/transport-specific request parameters.

Returns:
  set of binding/transport-specific request parameters

### setSOAPRequestParameters

@Nonnull public SOAPClientContext setSOAPRequestParameters(@Nullable SOAPClient.SOAPRequestParameters parameters)
Sets a set of binding/transport-specific request parameters.

Parameters:
  `parameters` - a set of binding/transport-specific request parameters
Returns:
  this context

### getPipelineName

@Nullable public String getPipelineName()
Get the name of the specific SOAP client message pipeline to use, for example with `PipelineFactoryHttpSOAPClient`.

Returns:
  the pipeline name, or null

### setPipelineName

@Nonnull public SOAPClientContext setPipelineName(@Nullable String name)
Set the name of the specific SOAP client message pipeline to use, for example with `PipelineFactoryHttpSOAPClient`.

Parameters:
  `name` - the pipeline name, or null
Returns:
  this context

### getDestinationURI

@Nullable public String getDestinationURI()
Get the the destination URI for the SOAP message being sent.

Returns:
  the destination URI, or null

### setDestinationURI

@Nonnull public SOAPClientContext setDestinationURI(@Nullable String uri)
Set the destination URI for the SOAP message being sent.

Parameters:
  `uri` - the destination URI, or null
Returns:
  this context